Bug 1411416 - Session expired message shown on SSO login page after session expiration
Summary: Session expired message shown on SSO login page after session expiration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: AAA
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 16:36 UTC by Ravi Nori
Modified: 2017-02-01 14:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:34:54 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 69872 0 master MERGED aaa: Session expired message shown on SSO login page after session expiration 2017-01-13 06:57:55 UTC
oVirt gerrit 70307 0 ovirt-engine-4.1 MERGED aaa: Session expired message shown on SSO login page after session expiration 2017-01-13 18:48:05 UTC

Description Ravi Nori 2017-01-09 16:36:17 UTC
Description of problem: When the SSO session expires on login page a session expired message is shown when the user enters credentials to login.

Version-Release number of selected component (if applicable): 4.0

How reproducible:

Steps to Reproduce:
1. Login to webadmin
2. Let the engine session expire and wait for redirection to login page
3. Wait for 30 minutes for SSO session to expire
4. Enter user credentials and attempt to login

Actual results:
"Session expired please try again" message is shown. The user needs to go back to welcome page and click on Webadmin/user portal link and enter credentials again.

Expected results:
The user should be logged in on entering credentials.

Comment 1 rstory 2017-01-13 14:21:35 UTC
This would be less annoying if the session timeout were configurable.

Comment 2 Martin Perina 2017-01-13 14:29:28 UTC
(In reply to rstory from comment #1)
> This would be less annoying if the session timeout were configurable.

Session timeout is configurable, please take a look at UserSessionTimeOutInterval configuration option:

  engine-config -l | grep UserSessionTimeOutInterval

Comment 3 Jiri Belka 2017-02-01 10:32:29 UTC
ok, ovirt-engine-webadmin-portal-4.1.0.2-0.2.el7.noarch

after session timeout I got login page directly.


Note You need to log in before you can comment on or make changes to this bug.